<template>
  <b-container fluid>
    <b-row class="mt-2 mb-2">
      <b-col cols="6">
        <h2>Movimientos</h2>
      </b-col>
      <b-col cols="6" class="d-flex justify-content-end">
        <b-button variant="primary" @click="newMovement">Nuevo movimiento</b-button>
      </b-col>
    </b-row>
    <b-row>
      <ShippingList
        ref="shipping_list"
        :preset_filters="{ move__isnull: false }"
        shipping_mode="move"
      />
    </b-row>
    <b-modal ref="move_modal" centered size="xl" title="Inventario" hide-footer>
      <ShippingForm
        v-if="shipping_preset_form"
        :preset_form="shipping_preset_form"
        shipping_mode="move"
        @cancel="$refs.move_modal.hide()"
        @saved="onShippingSaved"
      />
    </b-modal>
  </b-container>
</template>


<script>
import ShippingList from "@/components/ShippingList";
import ShippingForm from "@/components/ShippingForm";

export default {
  name: "movement-view",
  components: {
    ShippingList,
    ShippingForm
  },
  data() {
    return {
      shipping_preset_form: {}
    };
  },
  methods: {
    newMovement() {
      this.$refs.move_modal.show();
    },
    onShippingSaved() {
      this.$refs.move_modal.hide();
      this.$refs.shipping_list.refresh();
    }
  }
};
</script>
